
#ifndef BSPLINE_H_
#define BSPLINE_H_

#include "Vector.h"
#include "Polyline.h"

class BSpline : public Polyline {
public:
	BSpline(CoordinateList& points, const std::string name, unsigned subdivisions = 100, const DrawCfg& drawCfg = DrawCfg());
	BSpline(const BSpline& other);

	virtual GeometricElement* clone() const;

	virtual TiXmlElement* toXmlElement() const;

	virtual ~BSpline();

	static BSpline* createFromXml(TiXmlElement* element);
protected:
	virtual LineList getLines() const;

	CoordinateList createCoordinates() const;
	CoordinateList forwardDiferences(Coordinate& point, double f0[], double deltaf0[], double delta2f0[], double delta3f0[]) const;

	unsigned subdivisions;
};


#endif /* BSPLINE_H_ */
