#ifndef BEZIER_H_
#define BEZIER_H_

#include "GeometricElement.h"
#include "Polyline.h"
#include <memory>
#include <string>

class Bezier : public Polyline {
public:
	Bezier(CoordinateList& points, const std::string& name, unsigned subdivisions = 100, const DrawCfg& drawCfg = DrawCfg() );
	Bezier(const Bezier& other);

	virtual GeometricElement* clone() const;

	virtual TiXmlElement* toXmlElement() const;

	virtual ~Bezier();

	static Bezier* createFromXml(TiXmlElement* element);
protected:
	Coordinate blendingFunction(double t, const CoordinateList& points) const;
	CoordinateList createCoordinates() const;

	virtual LineList getLines() const;

	unsigned subdivisions;
};

#endif /* BEZIER_H_ */
