#ifndef BICUBICSURFACE_H_
#define BICUBICSURFACE_H_

#include "Polyline.h"
#include <vector>

//bezier bicubic surface
class BicubicSurface : public Polyline {
public:
	BicubicSurface(CoordinateList &points,const std::string& name, unsigned subdivisions = 20, unsigned nCurves = 20, const DrawCfg& drawCfg = DrawCfg());
	BicubicSurface(const BicubicSurface& other);

	GeometricElement* clone() const;

	virtual TiXmlElement* toXmlElement() const;
	static BicubicSurface* createFromXml(TiXmlElement* element);

	virtual ~BicubicSurface();
protected:
	unsigned curveSubdivisions, nCurves;

	virtual LineList getLines() const;

	CoordinateList createCurveS(double s, unsigned geoNumber) const;
	CoordinateList createCurveT(double t, unsigned geoNumber) const;
	Coordinate blend(double s, double t, Matrix<double>* matrixes[]) const;
};

#endif /* BICUBICSURFACE_H_ */
