#ifndef DISPLAYFILE_H_
#define DISPLAYFILE_H_

#include "GeometricElement.h"
#include "Polyline.h"
#include <list>
#include <map>

class DisplayFileElement;

class DisplayFile {
public:
	DisplayFile();
	DisplayFile(DisplayFile& other);

	void add(GeometricElement* element);
	void add(ElementsList& elements);

	bool contains(const std::string& name) const;

	inline unsigned size() const { return elementsMap.size(); }

	typedef std::list<GeometricElement*>::iterator Iterator;
	Iterator begin();
	Iterator end();

	GeometricElement* operator[](const std::string& name);

	virtual ~DisplayFile();
private:
	//the map is used to search elements and the list to iterate in order
	std::map<std::string,GeometricElement*> elementsMap;
	std::list<GeometricElement*> elementsList;
};

#endif /* DISPLAYFILE_H_ */
