#ifndef DRAWINGCONFIG_H_
#define DRAWINGCONFIG_H_

#include <string>

class Color{
public:
	//hexaColorCode is prefixed with #
	Color(const std::string& hexaColorCode)	: hexaColorCode(hexaColorCode) {}

	Color(const Color& other) : hexaColorCode(other.hexaColorCode){}

	std::string toString() const { return hexaColorCode; };

	std::string colorCode() const { return hexaColorCode.substr(1); }

	~Color() {}
private:
	std::string hexaColorCode;
};

class DrawCfg {
public:
	DrawCfg(const Color& color = Color("#000000"), unsigned borderWidth = 2 )
		: color(color), borderWidth(borderWidth) {}

	DrawCfg(const DrawCfg& other)
		: color(other.color), borderWidth(other.borderWidth){}

	Color getColor() const { return color; }
	unsigned getBorderWidth() const { return borderWidth; }

	std::string toString() const{
		std::stringstream buffer;
		buffer << "color: " << color.toString() << ". border: " << borderWidth;
		return buffer.str();
	}

	virtual ~DrawCfg(){

	}
private:
	Color color;
	unsigned borderWidth;
};

#endif /* DRAWINGCONFIG_H_ */
