#ifndef ELEMENT3D_H_
#define ELEMENT3D_H_

#include "Polyline.h"

typedef std::vector<std::pair<unsigned,unsigned> > EdgeList;

class Element3D : public Polyline {
public:
	Element3D(const CoordinateList& coordinates, const EdgeList& edges, const std::string& name,
			const DrawCfg& drawCfg = DrawCfg());
	Element3D(const Element3D& other);

	virtual GeometricElement* clone() const;

	virtual TiXmlElement* toXmlElement() const;

	virtual ~Element3D();

	virtual std::string toString() const;
	static Element3D* createFromXml(TiXmlElement* element);
private:
	virtual LineList getLines() const;

	EdgeList edges;
};

#endif /* ELEMENT3D_H_ */
