#ifndef LINE_H_
#define LINE_H_

#include "GeometricElement.h"
#include "Point.h"

class Line : public GeometricElement {
public:
	Line(const Coordinate& point1, const Coordinate& point2, const std::string& name, const DrawCfg& drawCfg = DrawCfg());

	Coordinate first() const;
	Coordinate second() const;

	virtual GeometricElement* clone() const;
	virtual ElementsList clip(const Rectangle& clippingArea) const;
	virtual ElementsList clip3d(const Rectangle& clippingArea, const Coordinate& projectionCenter) const;
	bool clipLineOnEdge(double denominator, double numerator, double& tE, double& tL) const;

	Coordinate* intersects(const Line& other);

	virtual TiXmlElement* toXmlElement() const;

	virtual ~Line();

	static Line* createFromXml(TiXmlElement* element);
};

#endif /* LINE_H_ */
