#ifndef MATRIXFACTORY_H_
#define MATRIXFACTORY_H_

#include "Matrix.h"
#include "Vector.h"

class MatrixFactory {
public:
	static Matrix<double>* identityMatrix(unsigned order);

	enum Axis{ X, Y, Z };
	static Matrix<double>* scalingMatrix(double xScale, double yScale, double zScale, const Coordinate& reference);
	static Matrix<double>* translationMatrix(double xOffset, double yOffset, double zOffset);
	static Matrix<double>* rotationMatrix(MatrixFactory::Axis axis, double angle, const Coordinate& reference);

	static Matrix<double>* bSplineMatrix();
	static Matrix<double>* bezierMatrix();
	static Matrix<Coordinate>* surfaceGeoMatrix(const Matrix<double>* points, unsigned geoNumber);
};

#endif /* MATRIXFACTORY_H_ */
