#ifndef POINT_H_
#define POINT_H_

#include "GeometricElement.h"
#include "Matrix.h"
#include <string>

class Rectangle;

class Point : public GeometricElement {
public:
	Point(const Coordinate& coordinate, const std::string& name, const DrawCfg& drawingConfig = DrawCfg());
	Point(const Point& other);

	Coordinate getCoordinate() const;

	virtual GeometricElement* clone() const;
	virtual ElementsList clip(const Rectangle& clippingArea) const;

	virtual TiXmlElement* toXmlElement() const;

	virtual ~Point();

	static Point* createFromXml(TiXmlElement* element);
};

#endif /* POINT_H_ */
