#ifndef POLYLINE_H_
#define POLYLINE_H_

#include "Point.h"
#include "GeometricElement.h"
#include "Line.h"
#include <vector>
#include <list>

typedef std::list<Line> LineList;

class Polyline : public GeometricElement{
public:
	Polyline(const CoordinateList& points, const std::string& name, const DrawCfg& drawCfg = DrawCfg());
	Polyline(const Polyline& other);

	virtual GeometricElement* clone() const;
	virtual ElementsList clip3d(const Rectangle& clippingArea, const Coordinate& projectionCenter) const;
	virtual ElementsList clip(const Rectangle& clippingArea) const;

	virtual TiXmlElement* toXmlElement() const;
	static Polyline* createFromXml(TiXmlElement* element);

	virtual ~Polyline();
protected:
	virtual LineList getLines() const;
};

#endif /* POLYLINE_H_ */
