#ifndef VIEWPORT_H_
#define VIEWPORT_H_

#include "GeometricElement.h"
#include "Display.h"

class Viewport {
public:
	Viewport(Display& display) : display(display) {}

	virtual void draw(const GeometricElement& element) = 0;

	inline int getWidth() const { return width; }
	inline int getHeight() const { return height; }

	virtual ~Viewport() {}
protected:
	Display& display;
	int width, height;
};

#endif /* VIEWPORT_H_ */
