#ifndef GS_EXCEPTION_
#define GS_EXCEPTION_

#include <exception>
#include <string>

class GSException : public std::exception {
public:
	GSException(const std::string& description)
		: description(description) {}

	virtual const char* what() const throw(){
		return (std::string("Exception: ") + description).c_str();
	}

	virtual ~GSException() throw () {}
protected:
	std::string description;
};

class InvalidParameterException : public GSException{
public:
	InvalidParameterException(const std::string& description) : GSException(description) {}

	virtual const char* what() const throw(){
		return (std::string("Invalid parameter exception: ") + description).c_str();
	}
};

class IndexOutOfBoundsException : public GSException{
public:
	IndexOutOfBoundsException(const std::string& description) : GSException(description) {}

	virtual const char* what() const throw(){
		return (std::string("Index out of bound exception: ") + description).c_str();
	}
};

class NullPointerException : public GSException{
public:
	NullPointerException(const std::string& description) : GSException(description) {}

	virtual const char* what() const throw(){
		return (std::string("Null pointer exception: ") + description).c_str();
	}
};

#endif /* GS_EXCEPTION_ */
