#ifndef GSVIEWPORT_H_
#define GSVIEWPORT_H_

#include "Window.h"
#include "Viewport.h"
#include "GeometricElement.h"
#include <gtkmm/drawingarea.h>

class GSViewport : public Gtk::DrawingArea, public Viewport{
public:
	GSViewport(Display& display);
	virtual ~GSViewport();

	void refreshDimensions();

	virtual void draw(const GeometricElement& element);

	virtual void redraw();

protected:
	virtual void clipToEventRegion(GdkEventExpose* event);
	bool on_expose_event(GdkEventExpose* event);

	Glib::RefPtr<Gdk::Window> drawingArea;
	Cairo::RefPtr<Cairo::Context> cairoContext;

	struct ClippingRectangle{
		int x, y, width, height;
	};
	ClippingRectangle clippingRect;
};

#endif /* GSVIEWPORT_H_ */
