#include "DisplayFile.h"

DisplayFile::DisplayFile() {}

void DisplayFile::add(GeometricElement* element){
	std::string elementName = element->getName();

	if(contains(elementName))
		throw InvalidParameterException(std::string("there is another element called ").append(elementName));

	elementsMap.insert(std::pair<std::string,GeometricElement*>(elementName,element));
	elementsList.push_back(element);
}

void DisplayFile::add(ElementsList& elements){
	for(ElementsList::iterator i = elements.begin(); i != elements.end(); i++)
		add(*i);
}

DisplayFile::DisplayFile(DisplayFile& other){
	for(Iterator i = other.elementsList.begin(); i != other.elementsList.end(); i++)
		add((*i)->clone());
}

GeometricElement* DisplayFile::operator[](const std::string& name){
	if(!contains(name))
		throw InvalidParameterException(std::string("there is no element called ").append(name));

	return elementsMap[name];
}

bool DisplayFile::contains(const std::string& name) const{
	return ! (elementsMap.find(name) == elementsMap.end() );
}

DisplayFile::Iterator DisplayFile::begin(){
	return elementsList.begin();
}

DisplayFile::Iterator DisplayFile::end(){
	return elementsList.end();
}

DisplayFile::~DisplayFile() {
	for(Iterator i = elementsList.begin(); i != elementsList.end(); i++)
		delete *i;
}
