//#ifndef DISPLAYFILETESTS_H_
//#define DISPLAYFILETESTS_H_
//
//#include <cpptest.h>
//
//#include "DisplayFile.h"
//#include "Point.h"
//#include "Line.h"
//#include "Polyline.h"
//#include "Polygon.h"
//
//class DisplayFileTests : public Test::Suite{
//public:
//	DisplayFileTests(){
//		TEST_ADD(DisplayFileTests::display_file_adds_lines);
//		TEST_ADD(DisplayFileTests::display_file_adds_points);
//		TEST_ADD(DisplayFileTests::display_file_adds_polylines);
//		TEST_ADD(DisplayFileTests::display_file_adds_polygons);
//		TEST_ADD(DisplayFileTests::display_file_copies);
//	}
//	virtual ~DisplayFileTests() {}
//
//	void display_file_adds_lines(){
//		DisplayFile displayFile;
//		Point point1(Vector(10,10,10),"p1");
//		Point point2(Vector(20,20,20),"p2");
//		displayFile.add(Line(Vector(10,10,10),Vector(20,20,20),"line1"));
//	}
//
//	void display_file_adds_points(){
//		DisplayFile displayFile;
//		displayFile.add(Point(Vector(10,10,10),"p1"));
//	}
//
//	void display_file_adds_polylines(){
//		DisplayFile displayFile;
//
//		CoordinateList points;
//		points.push_back(Vector(10,10,10));
//		points.push_back(Vector(20,20,20));
//		points.push_back(Vector(30,30,30));
//		points.push_back(Vector(40,40,40));
//
//		Polyline polyline(points,"polyline1");
//
//		displayFile.add(polyline);
//	}
//
//	void display_file_adds_polygons(){
//		DisplayFile displayFile;
//
//		Vector point1(10,10,10);
//		Vector point2(20,20,20);
//		Vector point3(30,30,30);
//		Vector point4(40,40,40);
//
//		CoordinateList points;
//		points.push_back(point1);
//		points.push_back(point2);
//		points.push_back(point3);
//		points.push_back(point4);
//
//
//
//		displayFile.add(Polygon(points,"polygon1",false));
//		displayFile.add(Polygon(points,"polygon2",false));
//		TEST_THROWS_ANYTHING(displayFile.add(Polygon(points,"polygon1",false)));
//	}
//
//	void display_file_copies(){
//		DisplayFile displayFile;
//
//		Vector point1(10,10,10);
//		Vector point2(20,20,20);
//		Vector point3(30,30,30);
//		Vector point4(40,40,40);
//
//		CoordinateList points;
//		points.push_back(point1);
//		points.push_back(point2);
//		points.push_back(point3);
//		points.push_back(point4);
//
//		displayFile.add(Polygon(points,"polygon1",false));
//
//		displayFile.add(Point(point2,"point1"));
//
//		DisplayFile displayFile2(displayFile);
//
//		TEST_ASSERT( *(*(displayFile2.begin())) == *(*(displayFile.begin())) );
//		TEST_ASSERT( *((*(displayFile2.begin()++))) == (*(*(displayFile.begin()++))) );
//
//		TEST_ASSERT(displayFile2["polygon1"] == displayFile["polygon1"]);
//		TEST_ASSERT(displayFile2["point1"] != displayFile["polygon1"]);
//		TEST_ASSERT(displayFile2["point1"] == displayFile["point1"]);
//
//		TEST_THROWS_ANYTHING(displayFile["polygon2"]);
//		TEST_THROWS_ANYTHING(displayFile2["polygon2"]);
//		displayFile.add(Polygon(points,"polygon2",false));
//		TEST_THROWS_NOTHING(displayFile["polygon2"]);
//		TEST_THROWS_ANYTHING(displayFile2["polygon2"]);
//
//		displayFile2["polygon1"].rotate(90);
//		TEST_ASSERT(displayFile2["polygon1"] != displayFile["polygon1"]);
//	}
//};
//
//#endif /* DISPLAYFILETESTS_H_ */
