//#ifndef GEOMETRICTRANSFORMATIONSTESTS_H_
//#define GEOMETRICTRANSFORMATIONSTESTS_H_
//
//#include <cpptest.h>
//#include "Polygon.h"
//
//#include <iostream>
//#define GS_COUT(X) std::cout << X << std::endl;
//
//class GeometricTransformationsTests : public Test::Suite {
//public:
//	GeometricTransformationsTests(){
//		TEST_ADD(GeometricTransformationsTests::translationTests);
//		TEST_ADD(GeometricTransformationsTests::scalingTests);
//		TEST_ADD(GeometricTransformationsTests::rotationTests);
//	}
//
//	void translationTests(){
//		Point point1(Vector(100,100,1),"point1");
//		Point point2(Vector(150,150,1),"point2");
//
//		TEST_ASSERT(point1 != point2);
//		point1.translate(50,50);
//		TEST_ASSERT(point1 == point2);
//
//		point2.translate(-50,0);
//		TEST_ASSERT(Point(Vector(100,150,1),"point") == point2);
//		point2.translate(-150,-150);
//		TEST_ASSERT(point2 == Point(Vector(-50,0,1),"point"));
//
//		Line line1(Vector(100,100,1),Vector(200,200,1),"line1");
//		Line line2(Vector(200,200,1),Vector(300,300,1),"line2");
//
//		TEST_ASSERT(line1 != line2);
//		line1.translate(100,100);
//		TEST_ASSERT(line1 == line2);
//
//		CoordinateList pointsList;
//		pointsList.push_back(Vector(10,10,1));
//		pointsList.push_back(Vector(10,100,1));
//		pointsList.push_back(Vector(100,100,1));
//		pointsList.push_back(Vector(100,10,1));
//		Polygon polygon1(pointsList,"polygon1",false);
//
//		CoordinateList pointsList2;
//		pointsList2.push_back(Vector(60,60,1));
//		pointsList2.push_back(Vector(60,150,1));
//		pointsList2.push_back(Vector(150,150,1));
//		pointsList2.push_back(Vector(150,60,1));
//		Polygon polygon2(pointsList2,"polygon2",false);
//
//
//		TEST_ASSERT(polygon1 != polygon2);
//		polygon1.translate(50,50);
//		TEST_ASSERT(polygon1 == polygon2);
//	}
//
//
//	void scalingTests(){
//		Point point1(Vector(50,50,1),"bla");
//		Point point2(point1);
//
//		TEST_ASSERT(point1 == point2);
//		point1.scale(3,3);
//		TEST_ASSERT(point1 == point2);
//
//		Line line1(Vector(1,1,1),Vector(2,2,1),"bla");
//		Line line2(line1);
//		Line line3(Vector(0.5,0.5,1),Vector(2.5,2.5,1),"bla");
//
//		TEST_ASSERT(line1 == line2);
//		line1.scale(2,2);
//		TEST_ASSERT(line1 != line2);
//		TEST_ASSERT(line1 == line3);
//
//		CoordinateList pointsList1;
//		pointsList1.push_back(Vector(10,10,1));
//		pointsList1.push_back(Vector(10,100,1));
//		pointsList1.push_back(Vector(100,100,1));
//		pointsList1.push_back(Vector(100,10,1));
//		Polyline polygon1(pointsList1,"bla");
//		Polyline polygon2(polygon1);
//
//		CoordinateList pointsList3;
//		pointsList3.push_back(Vector(-35,-35,1));
//		pointsList3.push_back(Vector(-35,145,1));
//		pointsList3.push_back(Vector(145,145,1));
//		pointsList3.push_back(Vector(145,-35,1));
//		Polyline polygon3(pointsList3,"bla");
//
//		TEST_ASSERT(polygon1 == polygon2);
//		polygon1.scale(2,2);
//		TEST_ASSERT(polygon1 != polygon2);
//		TEST_ASSERT(polygon1 == polygon3);
//	}
//
//	void rotationTests(){
//		Point point1(Vector(50,50,1),"bla");
//		Point point2(point1);
//
//		TEST_ASSERT(point1 == point2);
//		point1.rotate(90);
//		TEST_ASSERT(point1 == point2);
//	}
//
//	virtual ~GeometricTransformationsTests() {}
//};
//
//#endif /* GEOMETRICTRANSFORMATIONSTESTS_H_ */
